Bug 80318 - Non-page background not repainted when comment deletion reduces number of pages
Summary: Non-page background not repainted when comment deletion reduces number of pages
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.4.2 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-21 09:29 UTC by Eyal Rozenberg
Modified: 2015-02-11 20:00 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
manifestation of the bug (165.36 KB, image/png)
2014-06-21 09:29 UTC, Eyal Rozenberg
Details
sample document created (50.07 KB, application/vnd.oasis.opendocument.text)
2014-06-24 05:55 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Eyal Rozenberg 2014-06-21 09:29:15 UTC
Created attachment 101475 [details]
manifestation of the bug

I'm working on a document with changes tracked. I have just deleted the comments in my document, triggering (for some reason) a repagination which reduced the number of pages. My Writer viewport included (parts of) 4 pages. Now, the area where the 4th and last page in the document used to be was not repainted as non-page background. The screenshot you'll see is after a partial repaint due to me having placed another window or dialog box over that area. Resizing the window also triggers a repaint.
Comment 1 Yousuf Philips (jay) (retired) 2014-06-22 22:09:22 UTC
Hi Eyal,

Yes libreoffice is known to have some repainting issues here and there. I attempted to reproduce this issue, but couldnt get libreoffice to run a repagination while i edited a document. Do you have any pointers on how i can make this happen.
Comment 2 Eyal Rozenberg 2014-06-23 20:38:56 UTC
Well, this (might) work:

- Create a document of more than 4 pages, say.
- Track changes
- Start adding changes so that with the changes, the number of pages is even, and without them, it is one page less.
- Have the last 4 pages showing in the viewport (2 of the partially) - and none of the 2 pages before those 4.
- Open the Changes dialog
- Accept All

That's about what did it for me.
Comment 3 Yousuf Philips (jay) (retired) 2014-06-24 05:55:26 UTC
Created attachment 101637 [details]
sample document created

Hi Eyal,

I created this sample file but still wasnt able to achieve the issue after accepting the changes.
Comment 4 Eyal Rozenberg 2014-06-24 06:05:13 UTC
Ummm, I meant to say rejecting the changes, so that the number of pages decreases by one. Sorry.
Comment 5 Eyal Rozenberg 2014-06-24 06:09:02 UTC
Hmm, but I can't really get it to work. What I was working on had many interspersed changes but 2 authors, as well as comments, including comments marked deleted. Probably the repaint had something to do with the comments disappearing.
Comment 6 Yousuf Philips (jay) (retired) 2014-06-24 08:17:33 UTC
If you are able to send in a sample document where we can easily see this behaviour, then that would be great, else it is a simple repaint glitch that can easily be remedied with alt+tab twice.
Comment 7 QA Administrators 2015-01-10 18:06:45 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

Message generated on: 10/01/2015
Comment 8 Eyal Rozenberg 2015-01-11 06:03:59 UTC
Unfortunately, I don't currently have the time to try and construct an appropriate document to reproduce this issue; or it may have been transient.
Comment 9 Buovjaga 2015-01-16 18:39:34 UTC
(In reply to Eyal Rozenberg from comment #8)
> Unfortunately, I don't currently have the time to try and construct an
> appropriate document to reproduce this issue; or it may have been transient.

We have to keep this in NEEDINFO then unfortunately. You can set it to RESOLVED WORKSFORME, if you finally find that you cannot reproduce it anymore.
Comment 10 QA Administrators 2015-02-11 20:00:22 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 

Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO
Message generated on: 2015-02-11